## kate 25.08.2+p24.04+vunstable+git20251024.0229

=== debian/changelog ===
kate (4:25.08.2+p24.04+vunstable+git20251024.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:29:39 +0000
