=== apps/kate/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,7 @@
   set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${RELEASE_SERVICE_VERSION}")
   set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
   set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
-  set(MACOSX_BUNDLE_COPYRIGHT "2000-2025 The Kate Authors")
+  set(MACOSX_BUNDLE_COPYRIGHT "2000-2022 The Kate Authors")
 endif()
 
 install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
