## kate 25.08.3+p24.04+vunstable+git20251206.0843

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -78,7 +78,7 @@
 # deprecation options
 ecm_set_disabled_deprecation_versions(
     QT 6.9
-    KF 6.12.0
+    KF 6.16.0
 )
 
 option(ENABLE_PCH "Enable PCH support" ON)
