=== addons/git-blame/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,6 @@
     plugin.qrc
 )
 
-if(BUILD_TESTING)
-  add_subdirectory(test)
-endif()
-
 if (ENABLE_PCH)
     target_precompile_headers(kategitblameplugin REUSE_FROM katepch)
 endif()
