=== addons/katebuild-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
     TargetFilterProxyModel.cpp
     AppOutput.cpp
     buildconfig.cpp
+    StatusOverlay.cpp
     plugin.qrc
     qcmakefileapi.cpp
     ${DEBUG_SOURCES}
