=== addons/rainbow-parens/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,3 @@
 if (ENABLE_PCH)
     target_precompile_headers(rainbowparens REUSE_FROM katepch)
 endif()
-
-if (BUILD_TESTING)
-    add_subdirectory(autotests)
-endif()
