=== apps/kate/CMakeLists.txt ===
--- 
+++ 
@@ -56,9 +56,11 @@
 
 # See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
 if(APPLE)
+  # we need to copy the file to avoid issues with duplicate generation targets
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../lib/data/MacOSXBundleInfo.plist.in ${CMAKE_CURRENT_BINARY_DIR}/plist.in COPYONLY)
   set_property(
     TARGET kate-bin
-    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
+    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/plist.in
   )
 
   # These are substituted by CMake into plist.in.
@@ -70,7 +72,7 @@
   set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${RELEASE_SERVICE_VERSION}")
   set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
   set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
-  set(MACOSX_BUNDLE_COPYRIGHT "2000-2022 The Kate Authors")
+  set(MACOSX_BUNDLE_COPYRIGHT "2000-2025 The Kate Authors")
 endif()
 
 install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
