=== debian/changelog ===
kate (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:50:21 +0000
