## kate 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -86,17 +86,6 @@
     add_subdirectory(pch)
 endif()
 
-option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
-if (WARNINGS_AS_ERRORS)
-    if (MSVC)
-        add_compile_options(/WX)
-        add_compile_options(/wd4996)
-    else()
-        add_compile_options(-Werror)
-        add_compile_options(-Wno-error=deprecated-declarations)
-    endif()
-endif()
-
 # addons for Kate
 ecm_optional_add_subdirectory(addons)
