=== debian/changelog ===
kate (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 09:35:06 +0000

kate (4:25.12.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * Remove patches that have been applied upstream.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 00:39:53 +0100

kate (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:59:51 +0000

kate (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:16:50 +0000
