## kate 25.12.1+p24.04+vstable+git20260130.1130

=== debian/changelog ===
kate (4:25.12.1+p24.04+vstable+git20260130.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:30:53 +0000

kate (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:23 +1000
